Qyra
ReferenceSpaces

List spaces as code (deprecated)

List spaces as code (deprecated)

GET/api/v1/projects/{projectUuid}/spaces/code

Authentication: personal access token. The spec defines an api_key security scheme — send an Authorization: ApiKey <your-personal-access-token> header (value format: ApiKey <your key>). A session_cookie scheme (connect.sid) exists for browser sessions. Operations in this spec declare security: [], an artifact of the upstream spec generator — authentication is still enforced by the server.

Path parameters

NameTypeRequiredDescription
projectUuidstringYes

Responses

200 — Success

{
  "results": {
    "skipped": [
      {
        "reason": "string",
        "slug": "string"
      }
    ],
    "spaces": [
      {
        "access": {
          "groups": [
            {
              "role": "viewer",
              "name": "string"
            }
          ],
          "users": [
            {
              "role": "viewer",
              "email": "string"
            }
          ],
          "projectMemberAccessRole": {},
          "inheritParentPermissions": true
        },
        "slug": "string",
        "spaceName": "string",
        "version": 1,
        "contentType": "space"
      }
    ]
  },
  "status": "ok"
}

default — Error

{
  "error": {
    "data": "string",
    "message": "string",
    "name": "string",
    "statusCode": 0
  },
  "status": "error"
}